summaryrefslogtreecommitdiffstats
path: root/deps/phonon
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-09-15 18:09:12 +0200
committer Eric Hameleers <alien@slackware.com>2019-09-15 18:09:12 +0200
commit820564211743970112e024bec47a6a95e6ab0ee4 (patch)
tree8e052bd2b83a32f13196cbe162b7cdb79b67eac9 /deps/phonon
parenta5a4f7de51e552b2ac4fdf18a74015fe4d68cb4c (diff)
downloadktown-820564211743970112e024bec47a6a95e6ab0ee4.tar.gz
ktown-820564211743970112e024bec47a6a95e6ab0ee4.tar.xz
Deps: add phonon support for kdelibs and Qt4 based applications
Used the last versions of phonon and phonon-gstreamer that still had Qt4 support and renamed the packages to 'phonon-qt4' and 'phonon-qt4-gstreamer' so as not to make them clash with the Qt5 based phonon packages. Note that at leasr one backend is required to produce sound at all, so I chose the gstreamer based backend because gstreamer is part of Slackware and VLC is not.
Diffstat (limited to 'deps/phonon')
-rwxr-xr-xdeps/phonon/phonon.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/deps/phonon/phonon.SlackBuild b/deps/phonon/phonon.SlackBuild
index 51893a8..07f8f93 100755
--- a/deps/phonon/phonon.SlackBuild
+++ b/deps/phonon/phonon.SlackBuild
@@ -69,14 +69,14 @@ fi
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
-PKG=$TMP/package-phonon
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf phonon-$VERSION
-tar xvf $CWD/phonon-$VERSION.tar.?z || exit 1
-cd phonon-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -126,8 +126,8 @@ if [ -d $PKG/usr/man ]; then
)
fi
-mkdir -p $PKG/usr/doc/phonon-$VERSION
-cp -a doc/{BUGS,IDEAS,TODO} $PKG/usr/doc/phonon-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a doc/{BUGS,IDEAS,TODO} $PKG/usr/doc/$PKGNAM-$VERSION
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -136,5 +136,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/phonon-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz